------------------------------------------------------------------------------
--                                                                          --
--                          GNATCHECK COMPONENTS                            --
--                                                                          --
--                   G N A T C H E C K . P R O J E C T S                    --
--                                                                          --
--                                 S p e c                                  --
--                                                                          --
--                       Copyright (C) 2013, AdaCore                        --
--                                                                          --
-- GNATCHECK  is  free  software;  you can redistribute it and/or modify it --
-- under terms of the  GNU  General Public License as published by the Free --
-- Software Foundation;  either version 2, or ( at your option)  any  later --
-- version.  GNATCHECK  is  distributed in the hope that it will be useful, --
-- but  WITHOUT  ANY  WARRANTY;   without  even  the  implied  warranty  of --
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General --
-- Public License for more details.  You should have received a copy of the --
-- GNU  General Public License distributed with GNAT; see file  COPYING. If --
-- not,  write to the  Free Software Foundation,  51 Franklin Street, Fifth --
-- Floor, Boston, MA 02110-1301, USA.                                       --
--                                                                          --
-- GNATCHECK is maintained by AdaCore (http://www.adacore.com).             --
--                                                                          --
------------------------------------------------------------------------------

--  This package adjusts the general project support for ASIS tools for
--  gnatcheck needs.

with ASIS_UL.Projects; use ASIS_UL.Projects;

package Gnatcheck.Projects is

   type Gnatcheck_Project_Type is new Arg_Project_Type with null record;

   procedure Extract_Tool_Xvars (My_Project : in out Gnatcheck_Project_Type);
   --  Reads gnatcheck-specific parameters from Check.Default_Switches

   function Tool_Package_Name
     (My_Project : Gnatcheck_Project_Type)
      return       String;
   --  Returns "check"

end Gnatcheck.Projects;
